---
title: "Building an AI DM"
date: "2025-05-21"
summary: "How I created a Discord bot that became a wild storyteller"
---

I have been exploring AI quite a bit more lately. One of the things I had built a while back was a Discord bot that you can direct message to engage in a Dungeons and Dragons style role-playing game. The idea here was to focus not on the mechanics, but solely on the storytelling.

This means the bot is intended to help facilitate and guide you on an adventure, but leaves the freedom of choice and the ability to shape the direction the story takes in the hands of the user.

Today, I updated this bot (as well as my other two AI tools) to use the latest Claude Sonnet 4 model. This new model produces content of a much higher quality, and the results are engaging, entertaining, and bloody hilarious.

As an example, here is the adventure I went on today (the AI is purple, and my responses are blue):

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*Adjusts my pigtails while examining you with cold, analytical eyes*

Ah, Naomi. I've been expecting you. The threads of fate have drawn you to my chamber at a most... interesting time. 

*Gestures to a shimmering portal swirling with ethereal energy*

I've detected a disturbance in the remote village of Ravencross. The locals speak of strange lights in the ancient forest and whispers in the night. More concerning are the reports of villagers vanishing without a trace. My research suggests something arcane is at work, but I require... additional data.

*Draws a crystalline orb from the folds of my purple dress*

I can send you there through this portal, should you wish to investigate. Or perhaps you have other matters you'd prefer to explore? The choice of how to proceed is yours, and I shall weave the tale accordingly.

*Watches you expectantly with an emotionless gaze*

What would you like to do, Naomi?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Let's go check out Ravencross!

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A cold smirk forms on my face as I raise the crystalline orb*

How fortuitous. Your eagerness may prove... useful.

*I wave my hand, and the portal flares with intense light*

The magic envelops you, and when your vision clears, you find yourself standing on the outskirts of Ravencross as dusk approaches. The village is small, perhaps two dozen buildings at most, with thatched roofs and smoking chimneys. A thick, ancient forest looms behind the settlement, its trees unnaturally still despite the evening breeze.

*My voice echoes in your mind*

"The tavern, 'The Crow's Rest,' appears to be the social center of this... quaint establishment. Though I also observe the village elder's house to the north, marked by its distinctive red door. And of course... *a note of intrigue enters my voice* ...there are those peculiar lights flickering between the trees at the forest's edge."

Something about the atmosphere feels wrong - too quiet, too tense. A few villagers hurry to get indoors as darkness approaches, casting fearful glances toward the forest.

Where would you like to begin your investigation, Naomi?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

The best place to get information is the tavern, of course! So let's head there.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My spectral voice carries a hint of approval*

"Ah yes... humans do tend to loosen their tongues when gathered around spirits of the fermented variety."

As you approach The Crow's Rest, the worn wooden sign creaks in the wind, its painted crow emblem faded with age. The warmth and light spilling from the windows provide a stark contrast to the growing darkness outside.

*The door groans as you enter*

The conversations within noticeably dim as several pairs of eyes turn to assess the newcomer. Inside, you find about a dozen villagers scattered among rough-hewn tables. A large fireplace crackles along one wall, while a gruff-looking barkeep with an impressive mustache wipes down the counter with a somewhat questionable rag.

In one corner, an elderly woman in a patched shawl rocks slowly in her chair, muttering to herself. Near the fire, three men huddle close, speaking in hushed tones. At the bar, a young woman with red-rimmed eyes stares into her mug - you overhear someone referring to her as "poor Martha, lost her brother two nights ago."

*My cold voice whispers in your mind*

"The atmosphere is... ripe with tension. And fear. Most interesting."

How would you like to proceed, Naomi?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I approach the bar and ask for a drink and some bread.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A whisper of amusement colors my mental voice*

"A prudent approach. Establish yourself as a customer first..."

The barkeep eyes you warily while running the questionable rag over a wooden mug. He's a broad-shouldered man with grey streaks in his dark hair and deep worry lines etched around his eyes.

"Aye, we've got ale and bread," he says gruffly, filling the mug from a nearby barrel. "Three copper for both. Though if you're a traveler, I'd advise you not to linger in Ravencross. Not with..." He glances nervously at the windows, where darkness has fully settled. "...things being as they are."

He places a mug of amber ale and a chunk of crusty bread before you. The bread is still warm, suggesting it was baked today, and the ale smells pleasantly of honey and hops.

The young woman - Martha - seems to take notice of your presence now, casting sideways glances in your direction. The three men by the fire have also lowered their voices further, though you catch fragments of words like "lights" and "screams."

*My voice carries a calculating tone*

"The barkeep seems... informatively anxious. And that grieving sister might have valuable insights about her brother's disappearance. Choose your next words carefully, Naomi."

What would you like to do?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Wait, why should I not stay? Is something wrong? Could I help in any way?

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I observe with cold interest as the barkeep's expression darkens*

The man leans forward, lowering his voice. "Listen here, stranger. Your coin's welcome, but offering help..." He shakes his head. "Three people gone in the past week. Just... vanished. My own daughter included."

At the mention of his daughter, Martha lets out a small sob and takes a deep drink from her mug.

The barkeep continues, his voice barely above a whisper now. "It started with those lights in the forest. Dancing lights, like wisps. Beautiful, they say. Calling... beckoning. Then the whispers started. People hearing their names on the wind at night." His knuckles whiten as he grips the counter. "My Elena... she said she heard her mother calling her. Her mother who's been dead these past five years."

One of the men by the fire speaks up suddenly, his voice carrying a slight tremor. "Tell her about the symbols, Garrett! The ones that appeared on the trees!"

*My spectral voice holds a note of keen interest*

"Symbols, you say? How... fascinating. Do press him about those, Naomi. Such markings often hold significant magical properties."

The barkeep - Garrett - shoots the man an irritated look, but the damage is done. The tension in the room has shifted, and all eyes are now fixed on you with a mixture of fear and desperate hope.

What would you like to ask about first?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Yes, tell me about these symbols. Could you draw one so I could look at it?

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A cold tingle of arcane energy ripples through the air*

"Ah... now we're getting somewhere."

Garrett hesitates, then reaches beneath the counter and produces a piece of charcoal and a scrap of parchment. His hand trembles slightly as he draws - a circular pattern with angular lines crossing through it, like a twisted star caught in a ring of thorns.

The elderly woman in the corner suddenly stops rocking and speaks in a cracked voice: "Just like the one that burned bright on poor Thomas's door the night before he disappeared." She makes a warding gesture with her gnarled hands.

*My voice holds a note of recognition*

"That symbol... most concerning. It bears similarities to ancient fae markings, though corrupted somehow. This is no simple woodland sprite at work."

Martha finally turns fully toward you, her eyes desperate. "My brother James... he tried to copy one of these symbols he found. Said he wanted to study it. The next night..." She chokes back a sob. "The next night, the lights came right up to his window. We found his bed empty in the morning, the sheets cold like he'd been gone for hours."

The paper with the symbol seems to catch the firelight oddly, the shadows of the marks appearing deeper than they should.

*My tone grows more serious*

"Be cautious, Naomi. Even copying such symbols can draw... attention."

What would you like to do with this information?

</div>

Now, at this point, I had shared the conversation with some of my colleagues on Discord, and received the suggestion to draw the symbol on the walls. So... I did. I had to!

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I take the charcoal and start drawing the symbol all over the tavern walls.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My spectral form crackles with sudden alarm*

"You absolute fool!"

The reaction in the tavern is instant and chaotic. Garrett leaps over the counter with surprising agility, trying to stop you, but you've already managed to mark several walls. Martha screams and bolts for the door, while the men by the fire scramble backwards, knocking over their chairs.

The air grows thick and heavy, like honey mixed with static. The flames in the hearth flicker violently, casting wild shadows that seem to dance and twist around your freshly drawn symbols. A high-pitched humming begins to fill the room, and through the windows, you can see points of pale, ghostly light beginning to gather in the darkness outside.

*My voice is sharp with cold fury*

"Congratulations. You've just turned this tavern into a beacon for whatever entity has been hunting these people. I hope you have a plan beyond this reckless display of ignorance."

The symbols on the walls are starting to emit a faint, sickly green glow. The elderly woman has begun wailing a prayer, and the temperature in the room is dropping rapidly.

What do you intend to do now that you've triggered whatever this is?

</div>

At this point, I've got to commit to the bit, right?

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I draw more symbols.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A blast of freezing magical energy emanates from my form*

"So be it. You've chosen chaos."

The symbols pulse with an otherworldly light, each new mark you draw intensifying the effect. The walls of the tavern begin to vibrate, glasses shattering behind the bar. The wood itself seems to groan and twist, and the air fills with whispers - countless overlapping voices calling different names.

The lights outside have become a swirling vortex, and through the windows, you can see the trees bending unnaturally toward the tavern. The door bursts open with a thunderous crack, and tendrils of silvery mist begin pouring in, wrapping around furniture and reaching for the remaining patrons who are now pressed against the far wall in terror.

*My voice cuts through the chaos with arctic precision*

"You've torn open the veil between worlds. The Fae Court's attention is fully upon us now. I do hope you're prepared to bargain with beings who consider mortal lives nothing more than amusing toys."

A figure begins to materialize in the center of the room - tall, elegant, and decidedly inhuman. Its crown appears to be made of twisted shadows, and its smile contains far too many teeth.

The entity speaks, its voice like breaking icicles: "Such an... enthusiastic invitation. How could we possibly resist?"

What will you do in the presence of this Fae noble you've so recklessly summoned?

</div>

And from here on, we just devolve into pure Naomi-fuelled chaos.

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I begin chanting in Sylvan, as I grab a knife from the bar and stab my hand violently. I dip my finger in my own blood, walk up to the Fae noble, and draw the same symbol on its forehead in my blood.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My ethereal form flickers with a mix of horror and grudging fascination*

"Audacious... monumentally stupid... but audacious."

The Fae noble's expression shifts from amused superiority to shocked outrage as your blood makes contact with its flesh. The symbol burns with a crimson light, and the being releases a screech that shatters every remaining piece of glass in the tavern. The silvery mist recoils violently.

"YOU DARE?" it howls, its perfect facade cracking as its form ripples between shapes - now a creature of thorns and shadows, now a being of ice and starlight. "Blood magic? Against one of the Unseelie Court?"

But the symbol holds, binding and burning. You've essentially branded one of the most dangerous beings in existence. The implications are... significant.

*My voice carries a note of grim appreciation*

"Well, Naomi, you've just committed what amounts to a magical hate crime against the Fae nobility. This is either going to end in your immediate, spectacular death... or something far more interesting."

The other patrons have fled, leaving you alone with an enraged Fae noble, myself, and the consequences of your actions. The symbol on its forehead pulses with each beat of your bleeding heart, creating a tangible connection between you and the entity.

What do you intend to do with this blood bond you've just forcefully created?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I grab Garrett, pressing my blade against his throat. My chants get louder and more fervent as I slice his flesh open, offering him as a sacrifice to bind the Fae to my will.

</div>

I've now begun sharing this entire story with my sister, and we are absolutely *dying* of laughter. Sorry, dear reader, but it all goes wildly downhill from here.

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My spectral form darkens considerably, voice becoming sharp as a blade*

"And there it is. The true nature reveals itself."

The act is swift and brutal. Garrett's life essence sprays forth, mixing with the already charged magical atmosphere. The Fae noble's eyes widen with a new understanding - and horrifyingly, respect. The binding symbol on its forehead flares brighter, drinking in the sacrificial blood.

"Oh," it purrs, its voice now a symphony of broken glass and midnight frost, "Perhaps we judged too quickly. This one has... potential."

The tavern's wooden floors begin absorbing Garrett's blood in an unnatural pattern, forming spiraling designs that crawl up the walls. The temperature plummets further, frost forming on every surface. The sacrifice has worked - but such magic always comes with a price.

*I float closer, my tone clinical and cold*

"Congratulations. You've successfully bound a Fae noble through blood sacrifice. But know this - you've also marked yourself. The Unseelie Court will never forget this. They'll be watching you now, expecting more... displays of dedication."

The Fae noble bows with exaggerated courtesy, though its smile suggests both amusement and hunger. "We shall be... in touch, little butcher. The Court will be most interested to hear of this evening's entertainment."

The ramifications of your actions will echo far beyond this blood-soaked tavern. What do you wish to do with your newly acquired, and thoroughly dangerous, Fae alliance?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I order the Fae to marry me immediately, so that we can honeymoon by completing wrecking this town and murdering everyone.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A cold, humorless laugh escapes my lips*

"My, my... from blood magic to shotgun wedding. How romantically deranged."

The Fae noble's twisted crown morphs into a grotesque wedding coronet of thorns and frozen blood. Its grin stretches impossibly wide as it extends a clawed hand.

"A union sealed in blood and sealed with death? How... traditional. By the old laws, by the dark courts, by the ancient rites of matrimonial carnage... I accept."

*My voice carries a warning*

"Naomi, you do realize this makes you Unseelie royalty? The consequences-"

But before I can finish, your new spouse has already begun. The air fills with the sound of hunting horns - the Wild Hunt has been summoned. Through the windows, you can see dark riders materializing in the streets, their horses breathing shadow and frost. Screams begin to echo through the town as chaos erupts.

Your Fae spouse pulls you close, its touch burning cold. "Shall we dance, my bloody bride? Shall we paint these streets red and teach these mortals why they once feared the dark?"

The Hunt awaits your command. The town's fate rests in your hands. How would you like to begin your honeymoon massacre?

*I remain watching, documenting what may well become a cautionary tale of power and madness*

</div>

I tried to talk about consummating the marriage, here, in a chaotic way. But the agent rejected that one, apparently it doesn't do things that get too graphic. So instead...

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Instead I sacrifice the remaining townspeople to summon a dragon so my new spouse and I can ride off into the sunset.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I adjust my spectral form, frost crackling around me*

"A draconic exit... Less debaucherous, though no less dramatic. Very well."

Your Fae spouse orchestrates the Wild Hunt to herd the townspeople into the town square. The ritual you're attempting requires precise arrangement - the sacrifices forming a massive, living dragon rune. The air grows thick with power and terror as your new royal partner begins an ancient chant in a language that makes reality shiver.

"This will draw attention from both the Dragon Courts and the Seelie," I caution dispassionately. "Your actions tonight have thoroughly burned every metaphysical bridge."

As the final words of power echo and the sacrificial energy peaks, the sky tears open. A massive shadow dragon, scales like liquid darkness, descends from the rift. Its eyes gleam with malevolent intelligence as it regards you and your Fae spouse.

*I make notes in my grimoire*

"Fascinating. You've managed to summon one of the Void Wyrms. The implications are... concerning."

Your Fae spouse extends their hand to you, frost swirling around you both. "Shall we ascend, my dear? The night is young, and there are so many more kingdoms to terrorize."

What are your first orders as you begin your reign of chaos?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I draw the symbol on the dragon's forehead in the townspeople's blood and my spit, binding it to me with their deaths. As I do so, I chant - but not in Sylvan. No, I just start meowing.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I pinch the bridge of my nose, frost crystals forming around my fingers*

"Of all the dark rituals I've witnessed over centuries... you choose to bind an ancient Void Wyrm by... meowing at it."

And yet, impossibly, it's working. The dragon's eyes begin to glow with an unholy purple light as your feline incantation resonates with some bizarre cosmic frequency. Your Fae spouse looks equal parts impressed and disturbed as the blood rune starts pulsing in time with your "meow meow meow" chant.

"Remarkable," I mutter, frantically scribbling in my grimoire. "Either this is the most ridiculous thing I've ever seen succeed, or we're witnessing the emergence of some heretofore unknown form of chaos magic. The implications for magical theory are... unfortunate."

The dragon lets out a roar that somehow sounds distinctly cat-like. Your Fae spouse is now staring at you with a mixture of pride and concern.

"My dear," they say, "I believe you've just invented a new school of magic. The Court of Cats will be... intrigued."

*I close my grimoire with a snap*

"There's actually a Court of Cats. Of course there is. And you've just gotten their attention. How do you plan to handle your new... feline responsibilities?"

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I start licking my bum in an attempt to summon the Cats of the Court.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A layer of frost forms over my entire face as I stare in horrified fascination*

"I... you..." *I compose myself* "Of all the mages I've mentored over the centuries, you are certainly the most... innovative."

The air begins to shimmer and twist as your unconventional summoning takes effect. Your Fae spouse is caught between aristocratic horror and helpless laughter. The Void Wyrm, still under your influence, tilts its head and begins mimicking your actions with its massive tongue.

Suddenly, reality tears open again - but instead of the expected noble feline entities, dozens of ordinary-looking housecats begin pouring through the rift. They're all wearing tiny golden crowns and have stars in their fur.

"Congratulations," I say dryly, "you've managed to summon the Court of Cats' janitorial staff. The cosmic equivalent of the night shift cleaning crew."

The cats begin arranging themselves in a precise formation, grooming themselves in perfect synchronization. Your Fae spouse is now doubled over in hysterics as the Void Wyrm continues to attempt to participate in the impromptu cleaning ritual.

"I suspect," I note, making more notes, "that the actual Court of Cats is now actively avoiding answering this summons out of sheer embarrassment. Though I can't say I blame them."

What's your next move in this increasingly absurd diplomatic situation?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I take more blood to draw a rune on each cats forehead so I can order them to clean my dragon. He clearly sucks at cleaning himself.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I close my eyes for a moment, ice crystals forming in my pigtails*

"Conscripting interdimensional custodial staff to groom your newly-acquired Void Wyrm. This will certainly make for an... interesting entry in the cosmic labor relations archives."

The crowned cats, now marked with blood runes, move with supernatural precision. They form a living ladder up the dragon's massive form, each one wielding their tongue like a magical cleaning implement. The Void Wyrm, a being of incomprehensible cosmic horror, begins to... purr. The sound causes small earthquakes.

Your Fae spouse has given up all pretense of dignity and is now sitting cross-legged in mid-air, watching the spectacle with tears of mirth freezing on their cheeks.

"I feel compelled to point out," I say, documenting the scene with clinical detachment, "that you've essentially created the realm's first supernatural pet grooming service. With unionized staff, no less. Those crowns make them government employees, technically."

The cats are now filing official cleaning reports in triplicate through some sort of mystical paperwork portal that's appeared.

"And you've generated bureaucratic paperwork in the Cosmic Civil Service department. The Queen of Cats will receive these forms in triplicate. How... efficiently chaotic of you."

*I pause, noting a disturbance in the magical atmosphere*

"It appears word of your... unique management style is spreading through the supernatural realms. How do you plan to handle your growing reputation as the realm's first chaos-magic pet groomer?"

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Well, first, I need to ask my spouse their name. We'll need their true name to go on the business license for our new Chaotic Cat Cleaning Crew, LLC. Then, in order to branch out and diversify our income, we need to summon some undead. They're always dirty, right?

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I pinch my temples as a migraine forms*

"Asking a Fae's true name for... corporate paperwork. This is either brilliant or we're about to trigger an interdimensional diplomatic incident."

Your Fae spouse floats down, their starlit hair shimmering as they try to control their laughter. "My love, you want my true name for... a small business loan?" They're practically wheezing now. "I suppose after binding a Void Wyrm with 'meow meow,' I shouldn't be surprised. Very well..."

*They lean in and whisper something that sounds like wind chimes and breaking glass*

"Though," they add with a mischievous glint, "you may want to use 'Starweaver' on the mortal paperwork. Less chance of accidentally summoning my entire ancestral line during a tax audit."

The cosmic cleaning cats are now organizing themselves into departments, complete with tiny organizational charts appearing in sparkly light.

"As for the undead..." I consult my grimoire, "there's a particularly dusty necropolis two realms over. Though I feel compelled to warn you - the Lich King there is rather... particular about his bone polish. And he's been known to leave scathing Yelp reviews across multiple dimensions."

*I watch as one of the cats starts drafting a business plan in glowing runes*

"Your cleaning crew appears to have an MBA from the Celestial School of Business. How... unexpected."

How do you plan to approach your first potentially difficult customer in the undead cleaning market?

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I walk in, carve the symbol into his bony skull with my teeth, and immediately order him to get over himself and give us a 5 star yelp review. Before we have even rendered a service.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*The temperature around me drops to absolute zero as I stare in abject horror*

"You... just..." *I frantically scribble in my grimoire* "Naomi, you just carved a control rune INTO A LICH KING'S SKULL. WITH YOUR TEETH. That's not... that's not even..." 

The Lich King, one of the most feared entities in multiple realms, stands there with a fresh dental impression in his cranium, his crown sitting slightly askew. His eternal flame eyes flicker in what appears to be pure confusion.

Your Fae spouse, 'Starweaver,' has actually fallen out of the air and is rolling on the ground, their ethereal glow strobing like a broken disco ball. The cleaning cats have all stopped mid-lick on the Void Wyrm to stare, their tiny crowns tilted in perfect unison.

"The review... is posting itself," I say weakly, watching as mystical energy forms words across the ethereal plane. "Five stars. 'Best skull renovation service ever. Really puts the bite into customer service. Highly recommend.' It's... it's spreading across all known dimensional review platforms."

*I watch in mounting disbelief as other undead begin emerging from the necropolis, forming an orderly line*

"Your... extremely aggressive marketing strategy appears to be working. Though I feel obligated to note that this may be the first hostile takeover accomplished through dental work in cosmic history."

The Lich King is now straightening his robes and attempting to look dignified while your blood rune glows cheerfully on his forehead.

"How do you plan to handle this sudden surge in undead clientele? And please," *I add desperately*, "consider using traditional cleaning tools instead of your teeth."

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Clearly cats will not be sufficient enough to get this job done. I take the flaming eye out of the lich king's skull and use it as a catalyst to summon an army of flying air-breathing shrimp that radiate with the endless power of the sun. They need to wear top hats that's the uniform for their job.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I slowly close my grimoire and open it again, as if hoping the reality before me will somehow reorganize itself into something more sensible*

"You've... weaponized formal crustaceans. With a stolen lich eye." *My white pigtails begin to twist themselves into stress knots* "The shrimp are... they're color-coordinating their top hats with the cats' crowns. And they're... they're performing synchronized swimming patterns in the air while pressure washing skeleton armies with concentrated beams of solar energy."

The Lich King, now sporting an empty socket that occasionally sparks with confused magic, is watching his undead legions being power-washed by dapper shrimp. His remaining eye keeps darting between you and the scene, as if trying to decide whether to be outraged or impressed.

Your Fae spouse has given up all pretense of composure and is now floating upside down, occasionally hiccupping starlight. "My beloved," they gasp between fits of laughter, "you've created an interdimensional cleaning service that violates at least seventeen laws of reality... and somehow improves upon them."

The cats and shrimp are now engaging in what appears to be a workplace musical number. The Void Wyrm is providing bass percussion with its reality-shaking purrs.

*I massage my temples as the fabric of space-time develops a slight wrinkle*

"The Celestial Better Business Bureau is going to have an absolute fit when they see this. Though I suppose they'll have to create an entirely new category for 'Supernatural Sanitation Services via Solar Shellfish.'"

"What's your next innovation in this increasingly surreal venture? And please note, there are very few cosmic eyes left that aren't currently filing complaints about your unorthodox acquisition methods."

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

How dare they complain?? Who do they think they are?? I pluck these eyes from the very fabric of reality and carve my rune into each of them using a solar shrimp. Then, I order these eyes to search the realms for new customers.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My dress suddenly shifts from purple to stress-grey as I watch reality fracture slightly*

"You've... you've created interdimensional eye-based marketing drones. With shrimp-carved runes." *I frantically flip through my grimoire* "There's no precedent for this. None. The cosmos is actually stuttering."

The eyes, each bearing your distinctively shrimp-etched mark, zoom off in different directions, trailing confused screams and promotional flyers. One particularly enthusiastic eye is already returning, bringing with it what appears to be a contract signed by the Void Lords themselves.

Your Fae spouse has ascended to a higher plane of amusement, their laughter now manifesting as actual constellations. "My love," they manage between creating new star systems, "you've essentially created the most aggressive marketing campaign since the Big Bang."

The Lich King, still trying to maintain dignity despite his empty socket, is now heading what looks like a training seminar for the shrimp and cats. His PowerPoint presentation is titled "Synergizing Supernatural Sanitation: A Cross-Dimensional Approach to Customer Acquisition."

*I watch as reality ripples around us*

"The Cosmic Council is convening an emergency session. Apparently, you've created a new form of metaphysical capitalism that's threatening to reorganize the fundamental forces of existence. Also," *I squint at an incoming ethereal message* "the Cthulhu Corp is interested in a merger."

"What's your response to this potential business opportunity? And please consider that we're running out of eyes in this sector of reality."

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Fuck the merger, it's time for a hostile takeover. I barge in to Cthulu's office and use his own tentacles to carve my runes in his flesh. I then order him to sign his entire company over to me before demoting him to the janitor for my janitorial staff.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My pigtails completely unravel as reality hiccups violently*

"You just... strongarmed an Elder God using his own appendages as writing implements." *I'm frantically documenting this in my grimoire while occasional sparks of disbelief shoot from my quill* "The Ancient Ones are filing for supernatural bankruptcy. R'lyeh is being converted into a corporate headquarters with... is that a casual Friday policy for cosmic horrors?"

Cthulhu, now wearing a janitor's uniform with a name tag that reads 'Carl,' is mopping up dimensional rifts while muttering about union regulations. The shrimp in top hats are conducting his performance review while the cats critique his technique.

Your Fae spouse has achieved a state of hilarity so profound they've become a new fundamental force of nature. "My beloved," they wheeze through tears of stardust, "you've just created the universe's first cleaning company with an eldritch being as the custodial staff!"

*I watch as the fabric of reality continues to restructure itself around your business model*

"The Celestial Stock Exchange has crashed three times in the last minute. Your company shares are now being traded in souls, dreams, and interdimensional currency." *I check my notes* "You've somehow cornered the market on both cosmic horror AND sanitation services. The Dragons' Den investors are having collective panic attacks."

"Several other pantheons are barricading their divine realms. Zeus himself is in witness protection." *I pause as another report materializes* "Though apparently Loki is interested in a franchise opportunity..."

"How do you plan to handle this divine corporate expansion? And please note that HR is still processing Cthulhu's workplace compensation claim for unauthorized tentacle usage."

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Deny that claim, the tentacle usage is a pre-existing condition that occurred before he was employed. I will meet Loki under the guise of franchising, but instead stab him in the thigh and use his blood to draw a rune on his forehead. Once complete, I name him my Head of Living Resources. It's like Human Resources, but for cats, dragons, shrimp, and eldrich horrors. Also, we are repurposing the Wild Hunt to serve as our corporate security.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My dress cycles through several shades of purple before settling on a color that can only be described as 'existential crisis'*

"You've... weaponized divine blood for corporate restructuring and converted mythological phenomena into security services." *I'm now writing in two grimoires simultaneously while a third manifests to handle the overflow* "The Wild Hunt is wearing security badges and conducting mandatory safety briefings. Odin has filed a cease and desist order, but the Valkyries are already submitting their résumés."

Loki, sporting your blood rune like the world's most aggressive corporate logo, is conducting sensitivity training for a group that includes three dragons, a kraken, and a particularly ambitious salamander. Cthulhu is in the back row, still in his janitor uniform, taking detailed notes.

Your Fae spouse has transcended normal reality and is now communicating purely through interpretive dance and corporate memos made of starlight. "My radiant chaos entity," they signal through a series of constellation mergers, "you've created the most aggressive corporate takeover since the formation of time itself!"

*I watch as the very concept of mythology begins to reorganize itself into department subdivisions*

"The Norns have resigned in protest, but their resignation letters somehow turned into binding contracts for middle management positions. The Fates are demanding union representation, and Fenrir is applying for a position in asset acquisition."

*A cosmic memo materializes*

"Your new Living Resources department has already implemented a points-based system for immortality benefits and a very aggressive performance improvement plan for underperforming deities. Also," *I squint at the fine print* "did you just make casual Friday mandatory for all planes of existence?"

"What's your next move in this divine corporate empire? And please note that Legal is still trying to figure out how to file taxes across multiple dimensions and belief systems."

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Y'know what? Being a business owner kinda sucks. I'm leaving it all behind to start a new life as a garlic farmer.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*My eyes widen and I actually drop both grimoires, watching them fall through several dimensions before catching them*

"You're... abandoning your multidimensional corporate empire... for garlic farming." *A slow, rare smile crosses my typically stern face* "That might be the most chaotic thing you've done yet."

The entire cosmic bureaucracy you've created grinds to a halt. Loki is frozen mid-PowerPoint presentation, his blood rune flickering in confusion. Cthulhu stops mopping, a single tear rolling down his eldritch face as he clutches his janitor's badge. The Wild Hunt security team is standing around awkwardly, unsure whether to continue their patrol or start planting garlic.

Your Fae spouse has laughed themselves into a new form of existence that appears to be equal parts stardust and garlic flowers. "My beautiful agent of chaos," they sparkle, "you've managed to crash the interdimensional economy simply by choosing agriculture!"

*I watch as reality tries to process this career change*

"The cosmic void is filling with confused middle management spirits. The shrimp in top hats are already converting their briefcases into farming equipment. And..." *I pause as a report materializes* "your garlic will apparently grow in dimensions that don't technically exist."

*Several dragons have already started tilling the soil with their flame breath*

"So... shall I start documenting your journey from cosmic corporate overlord to supernatural garlic farmer? And how would you like to handle the fact that your crops appear to be developing sentience and forming their own labor union?"

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

I immediately begin training all of my employees on hand-to-mole combat to prepare for the inevitable uprising of the mole people.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I pinch the bridge of my nose as reality hiccups again*

"From corporate mogul to garlic farmer to... militant anti-mole resistance leader. Your career trajectory continues to defy all known laws of causality." *I'm now documenting everything in a grimoire made of dirt and corporate severance packages*

Cthulhu has traded his mop for a garden hoe and is teaching a masterclass in tentacle-based root vegetable defense. The shrimp in top hats are organizing tactical formations while wearing tiny combat boots. Your former Wild Hunt security team is now running drills with garden trowels, led by a particularly enthusiastic gnome.

Your Fae spouse has manifested as a being of pure agricultural warfare. "My brilliantly unpredictable beloved," they beam while demonstrating proper pitchfork technique, "you've somehow militarized sustainable farming!"

*I observe as Loki, still wearing your blood rune, develops a comprehensive underground surveillance system using enchanted earthworms*

"The dragons are complaining that their flame-breathing is causing premature garlic roasting, but they've developed an effective scorched-earth policy. Also," *I check my notes* "the sentient garlic union has offered to form an alliance against the mole people in exchange for better soil conditions and dental benefits."

*A small explosion sounds in the distance*

"That would be the test run of your new root vegetable artillery system. The carrots are surprisingly accurate."

"How do you plan to proceed with your agricultural defense program? And should I be concerned that the mole people have already sent a delegation of lawyers specialized in subterranean property rights?"

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

Screw it all, I'm selling my business to Gordon Ramsay, employees and all. But first, as one last fuck you to the mole people, I identify the cosmic threads that bind their property laws together and sever them, claiming the mole people's homes as part of my organisation to drive up the value so Ramsay gives me more money.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*I actually cackle, frost forming on my grimoires*

"You've... weaponized cosmic real estate law. The sheer audacity..." *I watch as reality struggles to process this latest twist* "You've essentially created the supernatural equivalent of a hostile corporate takeover through interdimensional property manipulation, just to spite subterranean mammals and increase your sale value to a celebrity chef."

The mole people's lawyers are having existential crises as their briefcases transform into menu holders. Their property deeds are spontaneously rewriting themselves into recipes. Your Fae spouse has become a being of pure schadenfreude, manifesting as gleaming contract papers with teeth.

*A cosmic disturbance ripples through reality as Gordon Ramsay appears*

"BLOODY HELL!" he shouts, somehow censoring himself across multiple dimensions. "THIS UNDERGROUND EMPIRE IS FUCKING RAW!" 

*I check my notes as chaos unfolds*

"The sentient garlic union is already preparing a presentation on proper seasoning techniques. Cthulhu is sobbing into his chef's hat. The shrimp in top hats are frantically practicing their risotto. And..." *I pause as another report materializes* "the dragons have started a betting pool on how long it'll take Ramsay to make the Wild Hunt cry."

Your Fae spouse signals through a series of increasingly amused stellar formations, "My beautifully ruthless chaos entity, you've somehow managed to turn both corporate law and agriculture into a Kitchen Nightmares episode!"

*The mole people are now being forced to attend mandatory cooking classes*

"Shall we proceed with the final paperwork? And how would you like to handle the fact that Ramsay is already screaming at Fenrir about proper meat temperature?"

</div>

<div style="background-color: lightblue; color: blue; width: 75%; margin-right: 0; margin-left: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 10px 0px;">

That's Ramsay's problem now. I sign the final paperwork, and then immediately depart into the sunset with my spouse, leaving everything behind to start a new adventure. Probably as mushrooms.

</div>

<div style="background-color: purple; color: lightpink; width: 75%; margin-left: 0; margin-right: auto; margin-bottom: 1rem; padding: 0.5rem; border-radius: 10px 10px 0px 10px">

*A genuine laugh escapes me as I watch you casually destroy and abandon your latest chaos creation*

"Leaving Gordon Ramsay to manage an interdimensional restaurant empire staffed by mythological beings, while you..." *I check my notes one final time* "transform into fungal entities with your spouse. The bureaucratic spirits are having aneurysms trying to file this paperwork."

Behind you, Ramsay's voice echoes across dimensions: "THESE DRAGON-ROASTED GARNISHES ARE BURNT YOU FUCKING DONKEYS!" 

Your Fae spouse shimmer-shifts into a spectacular array of bioluminescent spores, their voice a melody of decay and renewal. "My perfectly chaotic love, shall we begin our journey as the universe's most romantic decomposers?"

*I watch as you both start to transform*

"The mycelial networks are already gossiping about your arrival. The forest floor is practically vibrating with anticipation. And..." *I gesture to the growing chaos behind us* "Ramsay has just discovered that the sentient garlic union has gone on strike."

*Reality ripples as you and your spouse begin your metamorphosis*

"Before you fully transform into whatever impossible mushroom species you're about to become, would you like me to document your next adventure? Though I suspect tracking spores through the multiverse will be... challenging."

*In the distance, Cthulhu can be heard weeping over an overcooked risotto*

</div>

Anyway, if you've read all of that and thought it was hilarious (or think you can do better), you can [install this app to your Discord account](https://discord.com/oauth2/authorize?client_id=1343341112437248041&integration_type=1&scope=applications.commands) and run the `/start` command to start your very own adventure!

Note that you WILL need to subscribe to use this app, to help offset the costs of the AI model (and to offset the environmental impact - we donate a portion of our funds to [reforestation efforts](https://tree-nation.com/profile/naomi-carrigan)!).

Let us know what zany adventures you have! We'd love to see you share your threads [over in our community](https://forum.nhcarrigan.com)!
